Subject: Re: [RFC][PATCH] new byteorder primitives - ..._{replace,get}_bits()

From: Al Viro <[email-masked]>
Date: Wed, 13 Dec 2017 01:51:25 +0000

On Tue, Dec 12, 2017 at 05:35:28PM -0800, Jakub Kicinski wrote:

> It used to be __always_inline, but apparently LLVM/clang doesn't
> propagate constants :(  
> 
> 4e59532541c8 ("nfp: don't depend on compiler constant propagation")

Doesn't propagate constants or doesn't have exact same set of
rules for __builtin_constant_p()?  IOW, if you dropped that
BUILD_BUG_ON(), what would be left after optimizations?